summaryrefslogtreecommitdiffstats
path: root/target/linux/adm5120/router_le
diff options
context:
space:
mode:
authorGabor Juhos <juhosg@openwrt.org>2008-01-18 17:52:26 +0000
committerGabor Juhos <juhosg@openwrt.org>2008-01-18 17:52:26 +0000
commitd0ed1a1d83e1ecae11537e4aa4a7b4287e7bebc9 (patch)
tree5f2c7a2107d0a33614ea119d11ed3e3b5d46b3d9 /target/linux/adm5120/router_le
parent6700252dd1fc29d11dc2a8ed31562ffb7ad50a33 (diff)
downloadmaster-31e0f0ae-d0ed1a1d83e1ecae11537e4aa4a7b4287e7bebc9.tar.gz
master-31e0f0ae-d0ed1a1d83e1ecae11537e4aa4a7b4287e7bebc9.tar.bz2
master-31e0f0ae-d0ed1a1d83e1ecae11537e4aa4a7b4287e7bebc9.zip
cleanup wget2nand script (closes #3049)
SVN-Revision: 10221
Diffstat (limited to 'target/linux/adm5120/router_le')
-rwxr-xr-xtarget/linux/adm5120/router_le/base-files/sbin/wget2nand56
1 files changed, 30 insertions, 26 deletions
diff --git a/target/linux/adm5120/router_le/base-files/sbin/wget2nand b/target/linux/adm5120/router_le/base-files/sbin/wget2nand
index 8843c286ee..6965e0af51 100755
--- a/target/linux/adm5120/router_le/base-files/sbin/wget2nand
+++ b/target/linux/adm5120/router_le/base-files/sbin/wget2nand
@@ -8,8 +8,13 @@
# Based on cf2nand from RB532 support
. /etc/functions.sh
-[ -d /tmp/wget2nand ] && {
- echo "/tmp/wget2nand already exists"
+[ -d /tmp/wget2nand-rootfs ] && {
+ echo "/tmp/wget2nand-rootfs already exists"
+ exit 1
+}
+
+[ -d /tmp/wget2nand-kernel ] && {
+ echo "/tmp/wget2nand-kernel already exists"
exit 1
}
@@ -21,49 +26,48 @@ url=$1
exit 1
}
-
# first get an address for br-lan using udhcpc
killall udhcpc
/sbin/udhcpc -i br-lan
-boot="$(find_mtd_part 'RouterBoard NAND Boot')"
-main="$(find_mtd_part 'rootfs')"
-[ -z "$boot" -o -z "$main" ] && {
+mtd_kernel="$(find_mtd_part 'kernel')"
+mtd_rootfs="$(find_mtd_part 'rootfs')"
+[ -z "$mtd_kernel" -o -z "$mtd_rootfs" ] && {
echo "Cannot find NAND Flash partitions"
exit 1
}
-echo "Erasing filesystem."
-mtd erase Boot 2>/dev/null >/dev/null
-mtd erase Main 2>/dev/null >/dev/null
+echo "Erasing filesystem..."
+mtd erase kernel 2>/dev/null >/dev/null
+mtd erase rootfs 2>/dev/null >/dev/null
-echo "Mounting $main as new root and $boot as boot partition"
+echo "Mounting $mtd_rootfs as new root and $mtd_kernel as kernel partition"
-mkdir /tmp/wget2nand/
-mkdir /tmp/wget2nand-boot
-mount -t yaffs2 "$main" /tmp/wget2nand/
-mount -t yaffs2 "$boot" /tmp/wget2nand-boot
+mkdir /tmp/wget2nand-rootfs
+mkdir /tmp/wget2nand-kernel
+mount -t yaffs2 "$mtd_rootfs" /tmp/wget2nand-rootfs
+mount -t yaffs2 "$mtd_kernel" /tmp/wget2nand-kernel
-echo "Erasing existing files."
-rm -rf /tmp/wget2nand/*
+echo "Erasing existing files..."
+rm -rf /tmp/wget2nand-rootfs/*
echo "Copying filesystem..."
-( wget -O - $url/openwrt-adm5120-2.6-rootfs.tgz) | ( cd /tmp/wget2nand/; tar xvz )
+( wget -O - $url/openwrt-adm5120-2.6-rootfs.tgz) | ( cd /tmp/wget2nand-rootfs/; tar xvz )
# RouterBOOT is looking for a kernel named "kernel"
-wget -O /tmp/wget2nand-boot/kernel $url/openwrt-adm5120-2.6-rb1xx-kernel
+wget -O /tmp/wget2nand-kernel/kernel $url/openwrt-adm5120-2.6-rb1xx-kernel
-chmod +x /tmp/wget2nand-boot/kernel
+chmod +x /tmp/wget2nand-kernel/kernel
# make sure everything is written before we unmount the partitions
-echo "chmod ugo+x /" > /tmp/wget2nand/etc/uci-defaults/set_root_permission
+echo "chmod ugo+x /" > /tmp/wget2nand-rootfs/etc/uci-defaults/set_root_permission
sync
-ls /tmp/wget2nand-boot/
-ls /tmp/wget2nand/
+ls /tmp/wget2nand-kernel/
+ls /tmp/wget2nand-rootfs/
# unmount the partitions and remove the directories into which they were mounted
-umount /tmp/wget2nand-boot
-umount /tmp/wget2nand
-rmdir /tmp/wget2nand-boot
-rmdir /tmp/wget2nand
+umount /tmp/wget2nand-kernel
+umount /tmp/wget2nand-rootfs
+rmdir /tmp/wget2nand-kernel
+rmdir /tmp/wget2nand-rootfs
# all done
echo "Image written, you can now reboot. Remember to change the boot source to Boot from Nand"